org.apache.mina.core.service

## Class AbstractIoAcceptor.AcceptorOperationFuture

- java.lang.Object
- - org.apache.mina.core.future.DefaultIoFuture
  - - org.apache.mina.core.service.AbstractIoService.ServiceOperationFuture
    - - org.apache.mina.core.service.AbstractIoAcceptor.AcceptorOperationFuture

- All Implemented Interfaces:
    IoFuture
  Enclosing class:
    AbstractIoAcceptor

      public static class AbstractIoAcceptor.AcceptorOperationFuture
      extends AbstractIoService.ServiceOperationFuture

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIoAcceptor.AcceptorOperationFuture(List<? extends SocketAddress> localAddresses)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SocketAddress>` | `getLocalAddresses()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.mina.core.service.AbstractIoService.ServiceOperationFuture

      `getException, isDone, setDone, setException`

    - ### Methods inherited from class org.apache.mina.core.future.DefaultIoFuture

      `addListener, await, await, await, awaitUninterruptibly, awaitUninterruptibly, awaitUninterruptibly, getSession, getValue, join, join, removeListener, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractIoAcceptor.AcceptorOperationFuture

          public AbstractIoAcceptor.AcceptorOperationFuture(List<? extends SocketAddress> localAddresses)

  - ### Method Detail

    - #### getLocalAddresses

          public final List<SocketAddress> getLocalAddresses()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.